# Stitching Barrel Surface Images and Correcting Their Brightness - Master's Thesis


##### Prerequisites

OpenCV version: 4.5.2
https://docs.opencv.org/4.x/d7/d9f/tutorial_linux_install.html

C++17

jsoncpp
```sh
sudo apt install libjsoncpp-dev
sudo ln -s /usr/include/jsoncpp/json/ /usr/include/json
```

##### Files
test-stitch.cpp - OpenCV tutorial file for stitching

test-kmeans.cpp - OpenCV tutorial file for K-Means alg.

pointbase.cpp - Structure for organizing points representing images

test.cpp - General functionality tests - for proper function, folder containing images+json files is required on the same level as src

makefile


##### Compilation
Compile using make